<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2025 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ModuleHelper;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

require ModuleHelper::getLayoutPath($module->module, 'style/content'); 

// Retira espacos em branco no inicio e fim
$banner->title = rtrim($banner->title);
$banner->subtitle = rtrim($banner->subtitle);
?>

<div class="nobossbanners__nb-caption <?php echo $banner->texts_custom->content_position; ?> nb-caption--<?php echo $banner->display_text_options; ?>">
    <div class="nb-caption__content">
        <?php
        if (!empty($banner->title) && $banner->display_text_options != "none") {
            echo "<div class='nobossbanners__title' style='{$banner->title_style}'>{$banner->title}</div>";
        } ?>
        <?php if ($banner->display_text_options == "text_box"){
            if (!empty($banner->subtitle)) {
                echo "<div class='nobossbanners__subtitle' style='{$banner->subtitle_style}'>{$banner->subtitle}</div>";
            }
        }
        ?>
        <?php // se a opção de exibir link como botao for verdadeira, exibe o link no formato de um botão ?> 
        <?php 
            if ($banner->show_link == 'button'){
                $count = 0;
                $links =  count((array) $banner->links);
                echo "<div class='nb-banner-links links-{$links} {$banner->links_class}'>";
                    foreach ($banner->links as $key => $link) {
                        $count++;
                        echo "<a class='nb-banner-item-link button-link{$count}' href='{$link->link_url}' target='{$link->link_target}' style='{$link->button_style}'>";
                        echo !empty($link->link_text) ? $link->link_text : Text::_("NOBOSS_EXTENSIONS_LINKS_TEXT");
                        echo "</a>";
                    } 
                echo "</div>";
            } 
        ?>
    </div>
</div>
