<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2025 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

$s = "";

// Percorre os banners
foreach ($banners as $key => $banner) {
    // estilo de hover para o link 
    if(!empty($banner->button_style_hover)){
        $s .=
            ".{$module->name} [data-id='{$key}'] .nobossbanners__nb-caption .nb-banner-item-link:hover{
                {$banner->button_style_hover}
            }
        ";
    } 

    // Setado para exibir filtro de cor na imagem em desktop
    if(($banner->image_filter === 'transparent') || ($banner->image_filter == 'desktop')){
        $s .=
        "@media screen and (min-width: 768px){
            .{$module->name} [data-id='{$key}']:before{
                background-color: {$banner->image_transparent_filter};
            }
        }
        ";
    }

    // Setado para exibir filtro de cor na imagem em mobile
    if(($banner->image_filter === 'transparent') || ($banner->image_filter == 'mobile')){
        $s .=
        "@media screen and (max-width: 767px){
            .{$module->name} [data-id='{$key}']:before{
                background-color: {$banner->image_transparent_filter};
            }
        }
        ";
    }

    // imagem sobreposta 
    if(!empty($banner->overlay->image)){
        $s .=
            ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay img{
                {$banner->overlay->image_height}
            ";
        $s .= "}";

        if(!empty($banner->overlay->image_css)){
            $s .= 
                "@media screen and (min-width: 991px){"; 
                    // imagem sobreposta 
                    $s .=
                        ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay img{";
                            $s .= $banner->overlay->image_css;
                    $s .= "}";
            $s .= "}";
        }

        $s .=
            "@media screen and (max-width: 991px){";
                $s .=
                    ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay img{
                        {$banner->overlay->image_height_mobile}
                    }";
                $s .= 
                    ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay{";
                        $s .= $banner->overlay->image_css_mobile;
                $s .= "}";
        $s .= "}";
    }
    $s .=
        "@media screen and (max-width: 767px){
            .{$module->name} [data-id='{$key}'] .{$module->name}__title{
                {$banner->title_style_mobile}
            }
            .{$module->name} [data-id='{$key}'] .{$module->name}__subtitle{
                {$banner->subtitle_style_mobile}
            }
            .{$module->name} .{$module->name}__item,
            .{$module->name} .{$module->name}__frame {
                {$heightMobile}
            }";
        if($showArrows){
            $s .= 
                ".{$module->name} .nb-arrows{
                    {$arrowsStyleMobile}
                }";
        }


        if (!empty($banner->image_mobile) && $banner->show_image) {
            if(!empty($banner->image_mobile)){
                $s .=
                    ".{$module->name} .nobossbanners__item[data-id='{$key}']{
                            {$banner->image_mobile}
                    }
                ";
            }
        }

    $s .= "}";
}

// Hover das setas
$s .= 
    ".{$module->name} .js_prev:hover span, .{$module->name} .js_next:hover span{
        {$arrowsStyleHover}
    }
";

// Estilo dos dots 
if ($showDots) {
    $s .=
        ".{$module->name} .nobossbanner__dots li{
            {$dotsStyle}
        }
        .{$module->name} .nobossbanner__dots li.active{
            {$dotsActiveStyle}
        }
    ";

    $s .=
    "@media screen and (max-width: 767px){
        .{$module->name} .nobossbanner__dots li{
            {$dotsStyleMobile}
        }
    }
    ";
}

// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s); 