<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2025 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

$s = "";

// Estilo botao
if ($banner->show_link == 'button'){
    $count = 0;
    foreach ($banner->links as $link) {
        $count++;
        $s .=
            ".{$module->name} [data-id={$key}] .nobossbanners__nb-caption .button-link{$count}:hover{
                {$link->button_style_hover}
            }
        ";
    }
}

// Setado para exibir fundo em desktop
if(($banner->texts_custom->text_box_transparent === '1') || ($banner->texts_custom->text_box_transparent == 'desktop')){
    $s .=
    "@media screen and (min-width: 768px){
        .{$module->name} [data-id='{$key}'] .nb-caption__content{
            max-width: 100%;
            display: block;
            background-color: {$banner->texts_custom->text_box_background_color};
            padding: {$banner->texts_custom->content_space};
        }
    }
    ";
}

// Setado para exibir fundo em mobile
if(($banner->texts_custom->text_box_transparent === '1') || ($banner->texts_custom->text_box_transparent == 'mobile')){
    $s .=
    "@media screen and (max-width: 767px){
        .{$module->name} [data-id='{$key}'] .nb-caption__content{
            max-width: 100%;
            display: block;
            background-color: {$banner->texts_custom->text_box_background_color};
            padding: {$banner->texts_custom->content_space_mobile};
        }
    }
    ";
}

// Definido alinhamento de textos e botoes para mobile e valor eh diferente do desktop
if(isset($banner->texts_custom->content_alignment_mobile) && ($banner->texts_custom->content_alignment != $banner->texts_custom->content_alignment_mobile)){
    $s .=
        "@media screen and (max-width: 767px){
            .{$module->name} [data-id='{$key}'] .nobossbanners__title,
            .{$module->name} [data-id='{$key}'] .nobossbanners__subtitle{
                text-align: {$banner->texts_custom->content_alignment_mobile} !important;
            }
            .{$module->name} [data-id='{$key}'] .nb-banner-links{
                justify-content: {$banner->texts_custom->content_alignment_mobile};
            }
        }
    ";
}

// Espacamento entre os textos
$s .=
    ".{$module->name} [data-id='{$key}'] .nobossbanners__subtitle,
    .{$module->name} [data-id='{$key}'] .nb-banner-links{
        margin-top: {$banner->texts_custom->line_spacing}px;
    }
";

// Espacamento entre os textos no mobile
$s .=
    "@media screen and (max-width: 767px){
        .{$module->name} [data-id='{$key}'] .nobossbanners__subtitle,
        .{$module->name} [data-id='{$key}'] .nb-banner-links{
            margin-top: {$banner->texts_custom->line_spacing_mobile}px;
        }
    }
";

// Outras definicoes da area de conteudo
$s .=
    ".{$module->name} [data-id='{$key}'] .nb-caption__content{
        max-width: {$banner->texts_custom->maxwidth}%;
        margin: {$banner->texts_custom->content_margin};
    }

    .{$module->name} [data-id='{$key}'] .nb-caption__content *{
        color: {$banner->texts_custom->content_color};
    }
";

// Outras definicoes da area de conteudo no mobile
$s .=
    "@media screen and (max-width: 767px){
        .{$module->name} [data-id='{$key}'] .nb-caption__content{
            max-width: {$banner->texts_custom->maxwidth_mobile}%;
            margin: {$banner->texts_custom->content_margin_mobile};
        }

        .{$module->name} [data-id='{$key}'] .nb-caption__content *{
            color: {$banner->texts_custom->content_color_mobile};
        }
    }
";


$assetsObject->addStyleWithPrefix($s); 

?>
