<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2025 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

use Joomla\CMS\Helper\ModuleHelper;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects
?>

<script type="text/javascript">
	var jsConfig = {};
	jsConfig = <?php echo json_encode($jsConfig); ?>;
	if (moduleList === undefined) {
		var moduleList = [];
	}
	moduleList["<?php echo $module->name . '_' . $module->id; ?>"] = jsConfig;
</script>

<section class="<?php echo "{$module->name} {$module->name}--{$theme}"; ?> app-controller"  data-callback="banners" <?php echo "module-id={$module->name}_{$module->id}"; ?>>
	
	<div id="banners_<?php echo $module->id; ?>" class="nobossbanners__frame" style="<?php echo "height: {$height}";?>">

		<ul class="nobossbanners__list">
			<?php
			// Salva a primeira chave do array para colocar como item ativo
			$firstArrayKey = current(array_keys($banners));
			
			// Percorre os banners a serem exibidos
			foreach ($banners as $key => $banner) {
				?>
				<li class="nobossbanners__item <?php if ($key==$firstArrayKey){ echo 'active'; } ?>" data-id="<?php echo $key; ?>" style="<?php echo $banner->background_style; ?>">
					<?php
					// Insere link na imagem
					if ($banner->show_link == 'over_image'){
                        $link = $banner->links->link1;
						?>
						<a href="<?php echo $link->link_url; ?>" target="<?php echo $link->link_target; ?>">
                    <?php
					}?>

                    <div class="nobossbanners__item--wrapper">
                    	<?php
						if(isset($layoutCustom->content_display_mode)){
						?>
                        	<div class="nobossbanners__item--inner <?php echo $layoutCustom->content_display_mode ? $itemColumns : ''; ?>">
                	    <?php 
						}
						?>
                            <div class="noboss-banners-img">					
                                <div class="nb-imagem" data-id="<?php echo $key; ?>">
                                    <?php
									if(!empty($banner->overlay->image)){
									?>
                                        <div class="nb-image__overlay <?php echo $banner->overlay->position;?>">
                                            <img src="<?php echo $banner->overlay->image; ?>" alt="" style="<?php echo ($banner->overlay->image_z_index) ? 'z-index: 4;' : ''; ?>">
                                        </div>
                                    <?php
									}
									?>
                                </div>
                            </div>

							<?php
							// Exibicao de texto e botão em caixa sobre a imagem
							require ModuleHelper::getLayoutPath('mod_nobossbanners', 'common/content');
							?>
                    
						<?php
						if(isset($layoutCustom->content_display_mode)){
							?>
							</div>
						<?php
						}
						?>
					</div>
	
					<?php
					// Fecha tag de link na imagem
					if ($banner->show_link == 'over_image'){
						?>
						</a>
					<?php
					}
					?>
				</li>
			<?php
			}
			?>
		</ul>
	</div>

	<?php
	// se tem mais de um item publicado e as setas devem ser exibidas
	if($availableItems > 1 && $showArrows){ 
		// inclui arquivo de exibicao das setas
		require ModuleHelper::getLayoutPath('mod_nobossbanners', 'common/arrows');
	}
	
	// se tem mais de um item publicado e os dots devem ser exibidos
	if($availableItems > 1 && $showDots){ 
		// inclui arquivo de exibicao dos dots
		require ModuleHelper::getLayoutPath('mod_nobossbanners', 'common/dots');
	}
	?>
</section>

<?php
require ModuleHelper::getLayoutPath($module->module, 'style/carrossel');
?>
