<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2025 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

use Joomla\CMS\Helper\ModuleHelper;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects
?>

<section class="<?php echo "{$module->name} {$module->name}--{$theme}"; ?>" <?php echo "module-id={$module->name}_{$module->id}"; ?>>
    <?php
    // Salva a primeira chave do array para colocar como item ativo
    $firstArrayKey = current(array_keys($banners));
    
    // Percorre os banners a serem exibidos
    foreach ($banners as $key => $banner) {
        require ModuleHelper::getLayoutPath($module->module, 'style/fullpage');
        
        if (!empty($banner->image)) {
            // Insere link na imagem
            if (!$banner->show_link == 'button'){
            ?>
                <a href="<?php echo $banner->link; ?>" target="<?php echo $banner->link_target; ?>">
            <?php
            }
            ?>

            <div class="banner-<?php echo $theme; ?>" data-id="<?php echo $key; ?>" style="<?php echo $banner->background_style; ?>">
                
                <div class="nobossbanners__item--wrapper">
                
                    <?php
                    if(isset($banner->banner_width->content_display_mode)){
                    ?>
                        <div class="nobossbanners__item--inner <?php echo $banner->banner_width->content_display_mode ? $itemColumns : ''; ?>">
                    <?php
                    }
                    
                    if(!empty($banner->overlay->image)){
                    ?>
                        <div class="nb-image__overlay <?php echo $banner->overlay->position;?>">
                            <img src="<?php echo $banner->overlay->image; ?>" alt="" style="<?php echo (isset($banner->overlay->image_z_index) && ($banner->overlay->image_z_index)) ? 'z-index: 4;' : ''; ?>">
                        </div>
                    <?php
                    }
                
                    // Exibicao de texto e botão em caixa sobre a imagem
                    require ModuleHelper::getLayoutPath('mod_nobossbanners', 'common/content');
                    
                    if(isset($banner->banner_width->content_display_mode)){
                        ?>
                        </div>
                    <?php
                    }
                    ?>
                </div>
            </div>
            
            <?php
            if (!$banner->show_link == 'button'){
            ?>
                </a>
            <?php
            }
        }
    }
    ?>
</section>

